package com.gic.haoban.manage.web.qo.potential;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

@Data
public class RecommendConvOverviewQO extends PotentialOverviewQO {

    private static final long serialVersionUID = -4105397589798480404L;

    public Map<String, Integer> getFieldsOrder() {
        Map<String, Integer> map = new HashMap<>();
        map.put("matchingOnlineConvsMbrNum", 1);        // 人货匹配商城转化人数
        map.put("matchingOnlineConvsAmt", 2);           // 人货匹配商城转化金额
        map.put("matchingOfflineConvsMbrNum", 3);       // 人货匹配线下转化人数
        map.put("matchingOfflineConvsAmt", 4);          // 人货匹配线下转化金额
        map.put("matchingOnlineConvsMbrNumOverview", 5);// 人货匹配商城转化人数（总览）
        map.put("matchingOnlineConvsAmtOverview", 6);   // 人货匹配商城转化金额（总览）
        map.put("matchingOfflineConvsMbrNumOverview", 7);// 人货匹配线下转化人数（总览）
        map.put("matchingOfflineConvsAmtOverview", 8);   // 人货匹配线下转化金额（总览）
        return map;
    }

    public String getDefaultFields() {
        return "matchingOnlineConvsMbrNum";
    }
}
